Uploaded image for project: 'Plugins'
  1. Plugins
  2. CONTRIB-4447

Add missing "setType()" to 2.4 forms to make them compatible with 2.5.

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 2.4
    • Fix Version/s: 2.4
    • Component/s: Module: Questionnaire
    • Labels:
      None
    • Affected Branches:
      MOODLE_24_STABLE
    • Fixed Branches:
      MOODLE_24_STABLE

      Description

      Current version of questionnaire 2.4.2 (Build - 2013062001) is compatible with Moodle 2.5, but throws some warnings in full Developer debug mode:
      Did you remember to call setType() etc.

      Pending a forthcoming version 2.5 of Questionnaire, fix these warnings to enable use of version 2.4 in Moodle 2.5.

        Attachments

          Activity

            People

            Assignee:
            rezeau Joseph Rézeau
            Reporter:
            rezeau Joseph Rézeau
            Participants:
            Component watchers:
            Mike Churchward
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:
              Fix Release Date:
              3/Dec/12